Summary: Tools for creating and maintaining software RAID devices.
Name: raidtools
Version: 0.90
Release: 1.0.3
Copyright: GPL
Group: System Environment/Utilities
Source: ftp://ftp.kernel.org/pub/linux/daemons/raid/alpha/raidtools-19990824-0.90.tar.gz
BuildRoot: /var/tmp/raidtools-root
Obsoletes: md, md-tools
Conflicts: kernel < 2.2

%description
The raidtools package includes the tools you need to set up and
maintain a software RAID device (using two or more disk drives in
combination for fault tolerance and improved performance) on a Linux
system. It only works with Linux 2.2 kernels and later, or with a 2.0
kernel specifically patched with newer RAID support.

Install raidtools if you need to set up RAID on your system.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr --mandir=$RPM_BUILD_ROOT/%{_mandir} \
	--infodir=$RPM_BUILD_ROOT/%{_infodir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/dev
make MAN=%{_mandir} ROOTDIR=$RPM_BUILD_ROOT install_bin install_doc
for i in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
  mknod -m 0600 $RPM_BUILD_ROOT/dev/md$i b 9 $i
done

%files
%defattr(-,root,root)
%attr(0750,root,root)	/sbin/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*
/dev/*
%doc COPYING README *.sample
%doc Software-RAID.HOWTO/Software-RAID.HOWTO.txt


%changelog
* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.90, Release 1.0.3
  - bf094ab393ac9d7235a9d90036d303769c3998a5 (geek speek)


* Mon Nov 20 2000 Dave Wreski <dave@guardiandigital.com>
- upgrade to 19990824
- FHS fixes

* Mon Jul 24 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to /sbin binaries for
	Guardian Digital Linux Lockbox
- initial version

